Skip to main content
GET
Costs

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

start_time
integer
required

Start time (Unix seconds) of the query time range, inclusive.

end_time
integer

End time (Unix seconds) of the query time range, exclusive.

bucket_width
enum<string>
default:1d

Width of each time bucket in response. Currently only 1d is supported, default to 1d.

Available options:
1d
project_ids
string[]

Return only costs for these projects.

group_by
enum<string>[]

Group the costs by the specified fields. Support fields include project_id, line_item and any combination of them.

Available options:
project_id,
line_item
limit
integer
default:7

A limit on the number of buckets to be returned. Limit can range between 1 and 180, and the default is 7.

page
string

A cursor for use in pagination. Corresponding to the next_page field from the previous response.

Response

200 - application/json

Costs data retrieved successfully.

object
enum<string>
required
Available options:
page
data
object[]
required
has_more
boolean
required
next_page
string
required